gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.NothingAction

Contents

- Exported types
- Methods
  - get

Description

Does nothing.

Synopsis

- newtype NothingAction = NothingAction (ManagedPtr NothingAction)
- class (GObject o, IsDescendantOf NothingAction o) => IsNothingAction o
- toNothingAction :: (MonadIO m, IsNothingAction o) => o -> m NothingAction
- nothingActionGet :: (HasCallStack, MonadIO m) => m NothingAction

# Exported types

newtype NothingAction Source #

Memory-managed wrapper type.

Constructors

NothingAction (ManagedPtr NothingAction) |

#### Instances

Instances details

Eq NothingAction Source # |
Instance details Defined in GI.Gtk.Objects.NothingAction Methods (==) :: NothingAction -> NothingAction -> Bool Source # (/=) :: NothingAction -> NothingAction -> Bool Source #
GObject NothingAction Source # |
Instance details Defined in GI.Gtk.Objects.NothingAction
ManagedPtrNewtype NothingAction Source # |
Instance details Defined in GI.Gtk.Objects.NothingAction Methods toManagedPtr :: NothingAction -> ManagedPtr NothingAction Source #
TypedObject NothingAction Source # |
Instance details Defined in GI.Gtk.Objects.NothingAction Methods glibType :: IO GType Source #
HasParentTypes NothingAction Source # |
Instance details Defined in GI.Gtk.Objects.NothingAction
IsGValue (Maybe NothingAction) Source # | Convert `NothingAction` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.NothingAction Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe NothingAction -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe NothingAction) Source #
type ParentTypes NothingAction Source # |
Instance details Defined in GI.Gtk.Objects.NothingAction type ParentTypes NothingAction = '[ShortcutAction, Object]

class (GObject o, IsDescendantOf NothingAction o) => IsNothingAction o Source #

Type class for types which can be safely cast to `NothingAction`, for instance with `toNothingAction`.

#### Instances

Instances details

(GObject o, IsDescendantOf NothingAction o) => IsNothingAction o Source # |
Instance details Defined in GI.Gtk.Objects.NothingAction

toNothingAction :: (MonadIO m, IsNothingAction o) => o -> m NothingAction Source #

Cast to `NothingAction`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, print, ref, refSink, runDispose, stealData, stealQdata, thawNotify, toString, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## get

nothingActionGet Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m NothingAction | Returns: The nothing action

Gets the nothing action.

This is an action that does nothing and where activating it always fails.